Package Details: sat-xmpp-hg 0.7.0.r3453+.864485605d12+-1

Git Clone URL: https://aur.archlinux.org/sat-xmpp-hg.git (read-only, click to copy)
Package Base: sat-xmpp-hg
Description: Salut à Toi, multi-frontends multi-purposes XMPP client (core)
Upstream URL: http://salut-a-toi.org/
Licenses: AGPL3
Submitter: jnanar
Maintainer: jnanar
Last Packager: jnanar
Votes: 0
Popularity: 0.000000
First Submitted: 2017-10-17 20:05
Last Updated: 2021-01-31 16:53

Latest Comments

danievdm commented on 2021-01-31 17:31

Great thanks I'll let you know how it goes.

jnanar commented on 2021-01-31 16:54

Hello, I updated the dependencies. I hade several problems with the Omemo and otr dependencies, I now use the git repository. Don't hesitate to let me know you you have any problem.

danievdm commented on 2021-01-26 21:19

OK made sure it was today's version. It complained about cairosvg but I installed that. Then these errors came up:

New release of Twisted available (20.3.0), Python 3.8 patch may not be needed anymore
2021-01-26T23:15:44+0200 [sat.core.launcher.SatLogger#info] twistd 20.3.0 (/usr/bin/python 3.9.1) starting up.
2021-01-26T23:15:44+0200 [sat.core.launcher.SatLogger#info] reactor class: twisted.internet.gireactor.GIReactor.
abort: no repository found in '/usr/lib/python3.9/site-packages/sat' (.hg not found)!
2021-01-26T23:15:45+0200 [stderr#error] Traceback (most recent call last):
2021-01-26T23:15:45+0200 [stderr#error]   File "/usr/lib/python3.9/site-packages/sat/core/sat_main.py", line 196, in full_version
2021-01-26T23:15:45+0200 [stderr#error]     return self._version_cache
2021-01-26T23:15:45+0200 [stderr#error] AttributeError: 'SAT' object has no attribute '_version_cache'
2021-01-26T23:15:45+0200 [stderr#error] During handling of the above exception, another exception occurred:
2021-01-26T23:15:45+0200 [stderr#error] Traceback (most recent call last):
2021-01-26T23:15:45+0200 [stderr#error]   File "/usr/bin/sat", line 33, in <module>
2021-01-26T23:15:45+0200 [stderr#error]     sys.exit(load_entry_point('sat==0.8.0.dev0+864485605d12.428', 'console_scripts', 'sat')())
2021-01-26T23:15:45+0200 [stderr#error]   File "/usr/lib/python3.9/site-packages/sat/core/launcher.py", line 243, in run
2021-01-26T23:15:45+0200 [stderr#error]     args.cmd(args)
2021-01-26T23:15:45+0200 [stderr#error]   File "/usr/lib/python3.9/site-packages/sat/core/launcher.py", line 59, in cmd_foreground
2021-01-26T23:15:45+0200 [stderr#error]     self.run_twistd(args, twistd_opts=['--nodaemon'])
2021-01-26T23:15:45+0200 [stderr#error]   File "/usr/lib/python3.9/site-packages/sat/core/launcher.py", line 232, in run_twistd
2021-01-26T23:15:45+0200 [stderr#error]     runner.run()
2021-01-26T23:15:45+0200 [stderr#error]   File "/usr/lib/python3.9/site-packages/twisted/application/app.py", line 385, in run
2021-01-26T23:15:45+0200 [stderr#error]     self.postApplication()
2021-01-26T23:15:45+0200 [stderr#error]   File "/usr/lib/python3.9/site-packages/twisted/scripts/_twistd_unix.py", line 254, in postApplication
2021-01-26T23:15:45+0200 [stderr#error]     self.startApplication(self.application)
2021-01-26T23:15:45+0200 [stderr#error]   File "/usr/lib/python3.9/site-packages/twisted/scripts/_twistd_unix.py", line 453, in startApplication
2021-01-26T23:15:45+0200 [stderr#error]     app.startApplication(application, not self.config['no_save'])
2021-01-26T23:15:45+0200 [stderr#error]   File "/usr/lib/python3.9/site-packages/twisted/application/app.py", line 690, in startApplication
2021-01-26T23:15:45+0200 [stderr#error]     service.IService(application).startService()
2021-01-26T23:15:45+0200 [stderr#error]   File "/usr/lib/python3.9/site-packages/twisted/application/service.py", line 288, in startService
2021-01-26T23:15:45+0200 [stderr#error]     service.startService()
2021-01-26T23:15:45+0200 [stderr#error]   File "/usr/lib/python3.9/site-packages/sat/core/sat_main.py", line 596, in startService
2021-01-26T23:15:45+0200 [stderr#error]     self._init()
2021-01-26T23:15:45+0200 [stderr#error]   File "/usr/lib/python3.9/site-packages/sat/core/sat_main.py", line 64, in _init
2021-01-26T23:15:45+0200 [stderr#error]     log.info(f"{C.APP_NAME} {self.full_version}")
2021-01-26T23:15:45+0200 [stderr#error]   File "/usr/lib/python3.9/site-packages/sat/core/sat_main.py", line 199, in full_version
2021-01-26T23:15:45+0200 [stderr#error]     version, C.APP_RELEASE_NAME, utils.getRepositoryData(sat)
2021-01-26T23:15:45+0200 [stderr#error]   File "/usr/lib/python3.9/site-packages/sat/tools/utils.py", line 250, in getRepositoryData
2021-01-26T23:15:45+0200 [stderr#error]     import pkg_resources
2021-01-26T23:15:45+0200 [stderr#error]   File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3239, in <module>
2021-01-26T23:15:45+0200 [stderr#error]     def _initialize_master_working_set():
2021-01-26T23:15:45+0200 [stderr#error]   File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3222, in _call_aside
2021-01-26T23:15:45+0200 [stderr#error]     f(*args, **kwargs)
2021-01-26T23:15:45+0200 [stderr#error]   File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3251, in _initialize_master_working_set
2021-01-26T23:15:45+0200 [stderr#error]     working_set = WorkingSet._build_master()
2021-01-26T23:15:45+0200 [stderr#error]   File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 567, in _build_master
2021-01-26T23:15:45+0200 [stderr#error]     ws.require(__requires__)
2021-01-26T23:15:45+0200 [stderr#error]   File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 884, in require
2021-01-26T23:15:45+0200 [stderr#error]     needed = self.resolve(parse_requirements(requirements))
2021-01-26T23:15:45+0200 [stderr#error]   File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 770, in resolve
2021-01-26T23:15:45+0200 [stderr#error]     raise DistributionNotFound(req, requirers)
2021-01-26T23:15:45+0200 [stderr#error] pkg_resources.DistributionNotFound: The 'python-potr' distribution was not found and is required by sat

jnanar commented on 2021-01-26 20:29

Hello @danievdm I updated the oackage. Could you try again ?

danievdm commented on 2021-01-26 14:42

Getting this error when running 'sat fg':

New release of Twisted available (20.3.0), Python 3.8 patch may not be needed anymore
2021-01-26T16:40:58+0200 [sat.core.launcher.SatLogger#info] twistd 20.3.0 (/usr/bin/python 3.9.1) starting up.
2021-01-26T16:40:58+0200 [sat.core.launcher.SatLogger#info] reactor class: twisted.internet.gireactor.GIReactor.
abort: no repository found in '/usr/lib/python3.9/site-packages/sat' (.hg not found)!

Starting just 'sat' backend gives this error:

New release of Twisted available (20.3.0), Python 3.8 patch may not be needed anymore
An error has occurred: b"pkg_resources.DistributionNotFound: The 'progressbar2' distribution was not found and is required "

jnanar commented on 2019-05-19 09:31

JP and primitivus are provided by this package.

j.r commented on 2019-05-14 16:28

It seems that there is no sat-jp-hg, could you also add this package?